[Bug java/60261] New: [4.9 Regression] Weird java install with --enable-version-specific-runtime-libs

rguenth at gcc dot gnu.org gcc-bugzilla@gcc.gnu.org
Tue Feb 18 11:17:00 GMT 2014


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=60261

            Bug ID: 60261
           Summary: [4.9 Regression] Weird java install with
                    --enable-version-specific-runtime-libs
           Product: gcc
           Version: 4.9.0
            Status: UNCONFIRMED
          Keywords: build
          Severity: normal
          Priority: P3
         Component: java
          Assignee: unassigned at gcc dot gnu.org
          Reporter: rguenth at gcc dot gnu.org

I get in

/usr/lib64/gcc/x86_64-suse-linux/
4.9  gcj-4.9-15  lib64  logging.properties  security

/usr/lib64/gcc/x86_64-suse-linux/4.9/
ecj.jar  include  jvgenmain        libgcj.la  libgcj.spec   libgij.so
ecj1     jc1      libgcj-tools.so  libgcj.so  libgcj_bc.so  pkgconfig

/usr/lib64/gcc/x86_64-suse-linux/gcj-4.9-15/
libjavamath.la  libjavamath.so

/usr/lib64/gcc/x86_64-suse-linux/lib64/gcj-4.9-15
classmap.db  libjvm.la  libjvm.so

not sure what happens without --enable-version-specific-runtime-libs.

Behaved "more sanely" with 4.8, everything under /usr/lib64/gcj-4.8-14/
(I also have --program-suffix=4.x)



More information about the Java-prs mailing list